// OknoGLDlg.h : header file
//

#pragma once


// COknoGLDlg dialog
class COknoGLDlg : public CDialog
{
// Construction
public:
	COknoGLDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_OKNOGL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

// WGL
private:
	HGLRC uchwytRC; //uchwyt kontekstu renderingu
	HDC uchwytDC; //uchwyt prywatnego kontekstu urzadzenia GDI
	bool UstalFormatPikseli(HDC uchwytDC) const;
	bool InitWGL(HWND uchwytOkna);
	void UsunWGL();

// OpenGL
private:
	void UstawienieSceny(bool rzutowanieIzometryczne=false);
	void RysujScene();

public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
//	afx_msg void OnDestroy();
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
};
